## net.sf.statsvn.input
Class SvnLogfileParser.DiffTask

    java.lang.Object
      net.sf.statsvn.input.SvnLogfileParser.DiffTask

All Implemented Interfaces:
  Runnable

Direct Known Subclasses:
  SvnLogfileParser.PerRevDiffTask

Enclosing class:
  SvnLogfileParser

    protected class SvnLogfileParser.DiffTask

extends Object
implements Runnable

Constructor Summary
`protected` `SvnLogfileParser.DiffTask()`
`protected` `SvnLogfileParser.DiffTask(String newRevision)`
`` `SvnLogfileParser.DiffTask(String fileName, String newRevision, String oldRevision, FileBuilder fileBuilder)`

Method Summary
`protected FileBuilder` `getFileBuilder()`
`String` `getFileName()`
`String` `getNewRevision()`
`String` `getOldRevision()`
`protected void` `performIntermediarySave(long end)`
`void` `run()`
`protected void` `setFileBuilder(FileBuilder fileBuilder)`
`void` `setFileName(String fileName)`
`void` `setNewRevision(String newRevision)`
`void` `setOldRevision(String oldRevision)`
`protected void` `trackBinaryFile()`
`protected void` `trackFileDiff(int[] lineDiff)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SvnLogfileParser.DiffTask

    protected SvnLogfileParser.DiffTask()

### SvnLogfileParser.DiffTask

    protected SvnLogfileParser.DiffTask(String newRevision)

### SvnLogfileParser.DiffTask

    public SvnLogfileParser.DiffTask(String fileName,
                                     String newRevision,
                                     String oldRevision,
                                     FileBuilder fileBuilder)

Method Detail

### getFileName

    public String getFileName()

  Returns:
    the fileName

### setFileName

    public void setFileName(String fileName)

  Parameters:
    `fileName` - the fileName to set

### getNewRevision

    public String getNewRevision()

  Returns:
    the newRevision

### setNewRevision

    public void setNewRevision(String newRevision)

  Parameters:
    `newRevision` - the newRevision to set

### getOldRevision

    public String getOldRevision()

  Returns:
    the oldRevision

### setOldRevision

    public void setOldRevision(String oldRevision)

  Parameters:
    `oldRevision` - the oldRevision to set

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### trackBinaryFile

    protected void trackBinaryFile()

### trackFileDiff

    protected void trackFileDiff(int[] lineDiff)

### performIntermediarySave

    protected void performIntermediarySave(long end)

### getFileBuilder

    protected FileBuilder getFileBuilder()

### setFileBuilder

    protected void setFileBuilder(FileBuilder fileBuilder)